from mpython import *
import siot
import time

mywifi=wifi()                           # 实例化wifi类
mywifi.connectWiFi("ssid","password")   # wifi连接,ssid为用户名,password为密码
SERVER = "127.0.0.1"        #MQTT服务器IP
CLIENT_ID = ""              #在SIoT上，CLIENT_ID可以留空
IOT_pubTopic  = 'xzr/001'   #“topic”为“项目名称/设备名称”
IOT_UserName ='siot'        #用户名
IOT_PassWord ='dfrobot'     #密码
#以上部分为必要的SIoT信息配置

def sub_cb(client, userdata, msg):
    print("\nTopic:" + str(msg.topic) + " Message:" + str(msg.payload))

siot.init(CLIENT_ID, SERVER, user=IOT_UserName, password=IOT_PassWord)
siot.connect()
siot.subscribe(IOT_pubTopic, sub_cb)
siot.loop()

try:
    while True:
        pass
except:
    siot.stop()
    print("disconnect seccused")
